package com.bonus.canteen.core.order.mobile.vo;

import com.bonus.canteen.core.menu.utils.NutritionEntity;
import io.swagger.annotations.ApiModelProperty;

public class OrderNutrientInfoVO {
   @ApiModelProperty("热量(千卡)")
   private Double caloriesord = 0.0;
   @ApiModelProperty("蛋白质(g)")
   private Double proteinord = 0.0;
   @ApiModelProperty("脂肪(g)")
   private Double fatord = 0.0;
   @ApiModelProperty("纤维(g)")
   private Double dietaryFiberord = 0.0;
   @ApiModelProperty("碳水物(g)")
   private Double carbohydrateord = 0.0;
   @ApiModelProperty("胆固醇(mg)")
   private Double cholesterolord = 0.0;
   @ApiModelProperty("钠(mg)")
   private Double sodium = 0.0;

   public static OrderNutrientInfoVO of(NutritionEntity nutrientInfo) {
      OrderNutrientInfoVO vo = new OrderNutrientInfoVO();
      vo.setCaloriesord(nutrientInfo.getCalories());
      vo.setProteinord(nutrientInfo.getProtein());
      vo.setFatord(nutrientInfo.getFat());
      vo.setDietaryFiberord(nutrientInfo.getDietaryFiber());
      vo.setCarbohydrateord(nutrientInfo.getCarbohydrate());
      vo.setCholesterolord(nutrientInfo.getCholesterol());
      vo.setSodium(nutrientInfo.getSodium());
      return vo;
   }

   public Double getCaloriesord() {
      return this.caloriesord;
   }

   public Double getProteinord() {
      return this.proteinord;
   }

   public Double getFatord() {
      return this.fatord;
   }

   public Double getDietaryFiberord() {
      return this.dietaryFiberord;
   }

   public Double getCarbohydrateord() {
      return this.carbohydrateord;
   }

   public Double getCholesterolord() {
      return this.cholesterolord;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public void setCaloriesord(final Double caloriesord) {
      this.caloriesord = caloriesord;
   }

   public void setProteinord(final Double proteinord) {
      this.proteinord = proteinord;
   }

   public void setFatord(final Double fatord) {
      this.fatord = fatord;
   }

   public void setDietaryFiberord(final Double dietaryFiberord) {
      this.dietaryFiberord = dietaryFiberord;
   }

   public void setCarbohydrateord(final Double carbohydrateord) {
      this.carbohydrateord = carbohydrateord;
   }

   public void setCholesterolord(final Double cholesterolord) {
      this.cholesterolord = cholesterolord;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }
}
